Erreur suite à la mise à jour 2021.4

Mon problème

Message d’erreur suite à l’installation de la version 2021.4 de Home assistant.

Voici le message d’erreur en question, je l’obtient en vérifiant la configuration en vu d’un redémarrage.

Component error: spotcast - cannot import name 'KNOWN_CHROMECAST_INFO_KEY' from 'homeassistant.components.cast.media_player' (/usr/src/homeassistant/homeassistant/components/cast/media_player.py)

L’un d’entre vous a aussi ce message d’erreur ?

Je précise que maintenant je suis en version 2021.4.2, et que tout mes integrations et composant HACS sont à jours. J’ai enlever l’intergation « google cast », rien de change au niveau du message.

Merci à vous d’avance ! :slight_smile:

Ma configuration


[center]## System Health

version core-2021.4.2
installation_type Home Assistant OS
dev false
hassio true
docker true
virtualenv false
python_version 3.8.7
os_name Linux
os_version 5.4.83-v8
arch aarch64
timezone Europe/Paris
Home Assistant Community Store
GitHub API ok
Github API Calls Remaining 4360
Installed Version 1.11.3
Stage running
Available Repositories 842
Installed Repositories 75
Home Assistant Cloud
logged_in false
can_reach_cert_server ok
can_reach_cloud_auth ok
can_reach_cloud ok
Home Assistant Supervisor
host_os Home Assistant OS 5.13
update_channel stable
supervisor_version supervisor-2021.03.9
docker_version 19.03.15
disk_total 116.7 GB
disk_used 12.1 GB
healthy true
supported true
board rpi4-64
supervisor_api ok
version_api ok
installed_addons Samba share (9.3.1), Duck DNS (1.12.5), Visual Studio Code (3.3.0), deCONZ (6.8.0), File editor (5.2.0), Home Assistant Google Drive Backup (0.103.1), Terminal & SSH (9.1.0), Check Home Assistant configuration (3.6.0), Log Viewer (0.9.1), ESPHome (1.16.2), Node-RED (8.2.1), Z-Wave JS (0.1.17), Spotify Connect (0.8.2), MariaDB (2.3.0)
Lovelace
dashboards 5
resources 44
views 47
mode storage
Spotify
api_endpoint_reachable ok
[/center]

Question bête, est ce que ton plugin qui pose problème (spotcast), est bien installé via hacs (et non manuellement)?

J’ai eu un problème semblable lors de la dernière maj ha, avec lovelace_gen (que je n’arrive pas a avoir via hacs, il est donc installé manuellement). Pour le solutionner, j’ai installé la maj du plugin manuellement donc.

Donc vérifie bien que ton spotcast est bien a jour (qu’il soit installé via hacs ou manuellement)

@Pierre_Ma Je suis dans le même cas que toi.

Je n’ai pas encore effectué la mise à jour vers la version 2021.4.X, mais j’utilise l’addon « Check Home Assistant configuration » qui vérifie ta configuration en vue de migrer vers une nouvelle version de HA.
Et lors du check de la config, je retrouve aussi bien ce message d’erreur :

- Component error: spotcast - cannot import name 'KNOWN_CHROMECAST_INFO_KEY' from 'homeassistant.components.cast.media_player' (/usr/local/lib/python3.8/site-packages/homeassistant/components/cast/media_player.py)

Je ne me suis pas penché sur le sujet, mais au moins tu n’es pas le seul dans ce cas :cry:

J’ai l’addon qui est installé mais pas activé moi. Je vais l’activer et voir si ca change quelque chose sinon j’essaye la solution de @Dapolux

@Dapolux Tu me parle bien de ce plugin là ? GitHub - custom-cards/spotify-card: Spotify playlist card for Home Assistant card

Je ne sais plus comment je l’ai installé en fait :sweat_smile:

Voila ce que j’ai dans mes ressource pour spotify

Est ce que cela crée un conflit ?

Va voir là… Spotcast - custom component to start playback on an idle chromecast device - #643 by anas_ivs - Custom Components - Home Assistant Community
C’est discuté. Comme je n’ai pas ça, je n’ai pas plus regardé. Mais, en tout cas, c’est connu.

1 « J'aime »

Oui je parle bien de ce plugin là.

Comme précisé dans le lien de @golfvert il y a un souci dans le plugin avec la nouvelle version, et l’auteur du plugin n’a pour le moment pas apporté de solution, cependant d’autres en ont apporté, je t’invite à installer le fork avec le fix en question:

Je ne me sert plus de ce plugin donc je ne peux pas tester complètement, mais du moins je n’ai plus l’erreur que tu as (l’intégration fonctionne).

1 « J'aime »

Merci pour le lien :slight_smile:
Je vais cependant désactiver l’integration en attendant que le développeur sort un fix officiel :smiley: de plus je ne l’utilise que très peu, donc je vais pas trop me prendre la tête et j’ai peur de faire une connerie honnêtement :sweat_smile:

@Pierre_Ma J’ai vu que maintainer a fait une mise à jour de son intégration spotcast, il faudrait que tu l’installes et peut être que cette version corrigera notre problème :+1:

1 « J'aime »

J’ai installé ça hier soir, réactivé mes integrations et maintenant tout roule !